> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamnative.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Produce records to the given topic, returning delivery reports for each record produced.

> Produces one or more records to the specified topic. Each record can include a key, value, headers, and optional partition assignment. Returns delivery reports confirming successful production.



## OpenAPI

````yaml post /admin/v1/topics/{topicName}/records
openapi: 3.0.0
info:
  title: StreamNative Kafka REST API
  description: >-
    REST API for managing Kafka resources and producing/consuming messages in
    StreamNative Cloud
  version: v1
servers: []
security: []
paths:
  /admin/v1/topics/{topicName}/records:
    post:
      tags:
        - ksn-topics
      summary: >-
        Produce records to the given topic, returning delivery reports for each
        record produced.
      description: >-
        Produces one or more records to the specified topic. Each record can
        include a key, value, headers, and optional partition assignment.
        Returns delivery reports confirming successful production.
      operationId: produceRecords
      parameters:
        - name: topicName
          in: path
          description: The topic name.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KafkaTopicList'
        '400':
          description: Wrong request params
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
components:
  schemas:
    KafkaTopicList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/KafkaTopic'
        metadata:
          $ref: '#/components/schemas/Metadata'
        kind:
          type: string
    KafkaTopic:
      type: object
      properties:
        topic_name:
          type: string
        partitions_count:
          type: integer
          format: int32
        metadata:
          $ref: '#/components/schemas/Metadata'
        internal:
          type: boolean
        kind:
          type: string
    Metadata:
      type: object

````